class RobotControlUtil {

    /**
     * 查询机器人当前模式
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: 机器人模式（???? 1:调试模式 2:自动模式）
     */
    static queryMode (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 查询机器人当前坐标
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: x坐标
     * 		    Array[3]: y坐标
     * 		    Array[4]: 仓储机器人的朝向(1:+x 2:-x 3:+y 4:-y)
     */
    static queryCoordinate (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 查询机器人当前状态
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: 状态(????? 1:充电中 2:未充电)
     */
    static queryState (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 查询机器人电量
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: 电量(?????百分比 80/80%)
     */
    static queryBatteryLevel (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 查询机器人电压
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: 电压值
     * 		    Array[3]: 电压值
     */
    static queryVoltage (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 查询机器人电流
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果(1:成功 2:失败)
     * 		    Array[1]: 失败原因
     * 		    Array[2]: 电流值
     * 		    Array[3]: 电流值
     */
    static queryCurrent (robotId){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 移动指定坐标
     * @param   robotId: 机器人id
     *          x: x坐标
     *          y: y坐标
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static moveTo (robotId, x, y){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 修改模式
     * @param   robotId: 机器人id
     *          modeType: 机器人模式（???? 1:调试模式 2:自动模式）
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static editMode (robotId, modeType){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 电机控制(通电/断电)
     * @param   robotId: 机器人id
     *          motorSet: 电机控制（1:通电 2:断电）
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static motorControl (robotId, motorSet){
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 修改机器人坐标
     * @param   robotId: 机器人id
     *          x: x坐标
     *          y: y坐标
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static editCoordinate (robotId, x, y) {
        var array = new Array();
        array.push("1");
        array.push("2");
        return array;
    }

    /**
     * 机器人移动一格
     * @param   robotId: 机器人id
     *          direction：(1:+x 2:-x 3:+y 4:-y)
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static moveOneGrid (robotId, direction) { }

    /**
     * 机器人中止
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static breakOff (robotId) { }

    /**
     * 机器人急停
     * @param   robotId: 机器人id
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static emergencyStop (robotId) { }

    /**
     * 车轮控制
     * @param   robotId: 机器人id
     *          wheelSet: 设置车轮(1:置顶 2:置中 3:置底)
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static wheelControl (robotId, wheelSet) { }

    /**
     * 吊篮控制
     * @param   robotId: 机器人id
     *          basketSet: 吊篮设置(1:提起 2:放下 3:急停)
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static basketControl (robotId, basketSet) { }

    /**
     * 爪夹控制
     * @param   robotId: 机器人id
     *          clawSet: 爪夹控制(1:张开 2:闭合)
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static clawControl (robotId, clawSet) { }

    /**
     * 充电控制
     * @param   robotId: 机器人id
     *          chargeSet: 充电控制(1:张开 2:闭合)
     * @return  Array[0]: 执行结果
     * 		    Array[1]: 失败信息
     * 		    Array[2]: …………
     */
    static chargeControl (robotId, chargeSet) { }
}
